2020-10-27 01:09 EDT


View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0001104FSSCPmultiplayerpublic2012-01-09 13:06
ReporterUnknown Target 
Assigned Totaylor 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0001104: Multi chat text dissappears before colon
DescriptionIf, when in game and actually flying in multiplayer, you type something and then a colon (example: I really like Freespace 2 :) ) the only thing that would show up would be the ). Every time a colon is typed, everything before it does not show up - could this be fixed please?
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0006907

taylor (administrator)

I haven't been able to reproduce this yet. Can you give me exact steps that you take when you get this?

~0006908

FUBAR-BDHR (developer)

I can confirm this. It has always existed in chat. To get it to happen start a game. Press 1 to chat. I tried to take 2 screeshots but you can't screenshot while chat is up. I type in "Typing this with a : only shows this half" You can see that "only shows this half" shows up in the chat.

~0006911

taylor (administrator)

Ok, I see the problem now. ":" is actually considered a special character, so that you can issue commands through the pmsg system. Anything before the ":" is considered a command, to be executed against whatever follows it. Right now the only available command is "kick" though.

I don't want to change this and break some sort of behavior with retail clients (when PXO comes back). I'll have to think about how to deal with this, or not deal with it if that turns out to be the best thing.

~0006925

FUBAR-BDHR (developer)

I've never looked at the FS2 code but would assume it parses the text to find the : then executes a command. Could the solution be as simple as saving the text to a variable and adding an if statement? Basically if it parses the text and finds a : but doesn't find a valid command then display the save variable else execute the command? Like I said never looked at the code so it's just an idea. Idea 0000002 add smiley support :=)

~0006927

taylor (administrator)

Yeah, that would be my fix. And I've already coded up a quick little bit of code for that purpose. It wouldn't help retail any, but it also wouldn't hurt anything either... In theory at least.

The problem is with future stuff. At some point there could be a command which some builds support and others don't. That doesn't really hurt compatibility at all, but it does mean that we will be seeing this bug report again in a slightly different fashion.

I haven't been able to think of anything bad which could happen with a fix though, so I'll probably go ahead and fix this.

~0006952

taylor (administrator)

Just marking as feedback those bugs which should either be fixed in the next available build from me, or need to be tested as fixed in the next available build.

(There are so many new bugs right now, it's easier for me to keep up with the fixed or almost-fixed bugs this way.)

~0006994

taylor (administrator)

Fixered.
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2006-10-10 16:36 Unknown Target New Issue
2006-10-18 19:13 taylor Note Added: 0006907
2006-10-18 21:04 FUBAR-BDHR File Added: screen0004.jpg
2006-10-18 21:07 FUBAR-BDHR Note Added: 0006908
2006-10-18 22:53 taylor Note Added: 0006911
2006-10-19 02:00 FUBAR-BDHR Note Added: 0006925
2006-10-19 06:23 taylor Note Added: 0006927
2006-10-21 00:32 taylor Note Added: 0006952
2006-10-21 00:32 taylor Status assigned => feedback
2006-10-24 08:42 taylor Status feedback => resolved
2006-10-24 08:42 taylor Resolution open => fixed
2006-10-24 08:42 taylor Note Added: 0006994
2012-01-05 17:55 taylor Changeset attached => Import 2012-01-05 17:52:05 fs2_open_3_6_9 r3645
2012-01-05 17:55 taylor Changeset attached => Import 2012-01-05 17:52:05 trunk r3693
2012-01-09 13:06 taylor Changeset attached => fs2open_websvn fs2_open_3_6_9 r3645
2012-01-09 13:06 taylor Changeset attached => fs2open_websvn trunk r3693
+Issue History